SKB editing action in tc(8)

NAME
skbedit - SKB editing action

SYNOPSIS
tc ... action skbedit [ queue_mapping QUEUE_MAPPING ] [ priority PRIORITY ] [ mark MARK ] ptype PTYPE ]

DESCRIPTION
The skbedit action allows to change a packet's associated meta data. It complements the pedit action, which in turn allows to change parts of the packet data itself. The most unique feature of skbedit is it's ability to decide over which queue of an interface with multiple transmit queues the packet is to be sent out. The number of available transmit queues is reflected by sysfs entries within /sys/class/net/<interface>/queues with name tx-N (where N is the actual queue number).

OPTIONS

queue_mapping QUEUE_MAPPING
    Override the packet's transmit queue. Useful when applied to packets transmitted over MQ-capable network interfaces. QUEUE_MAPPING is an unsigned 16bit value in decimal format.

priority PRIORITY
    Override the packet classification decision. PRIORITY is either root, none or a hexadecimal major class ID optionally followed by a colon (:) and a hexadecimal minor class ID.

mark MARK
    Change the packet's firewall mark value. MARK is an unsigned 32bit value in automatically detected format (i.e., prefix with '0x' for hexadecimal interpretation, etc.).

ptype PTYPE
    Override the packet's type. Useful for setting packet type to host when needing to allow ingressing packets with the wrong MAC address but correct IP address. PTYPE is one of: host, otherhost, broadcast, multicast

SEE ALSO
tc(8), tc-pedit(8)